Subject: Re: [PATCH iproute2 1/2] lib/fs: avoid double call to mkdir on make_path()

From: Phil Sutter <[email-masked]>
Date: Fri, 18 Dec 2020 23:59:01 +0100

Hi Andrea,

On Fri, Dec 18, 2020 at 08:09:22PM +0100, Andrea Claudi wrote:
> make_path() function calls mkdir two times in a row. The first one it
> stores mkdir return code, and then it calls it again to check for errno.

To me it rather seems like I rebased the original commit into a mess. Or
I got really confused by the covscan error message this is based upon.
Either way, I don't see why this would not be a bug. :)

> This seems unnecessary, as we can use the return code from the first
> call and check for errno if not 0.
> 

Fixes: ac3415f5c1b1d ("lib/fs: Fix and simplify make_path()")
> Signed-off-by: Andrea Claudi <[email-masked]>
Acked-by: Phil Sutter <[email-masked]>

Thanks, Phil